[viewBag]

[UserData]

[WishlistHelper]
==
{% set obUser = UserData.get %}
{% if obUser.isNotEmpty %}
    <div class="container">
	    <div class="row">
	        <div class="col-md-2 col-sd-12">
	            {% partial 'user-sidebar' %}
	        </div>
	        <div class="col-md-10 col-sd-12">
	        	{% if wishlist.IsNotEmpty() %}
		            <div class="table-responsive">
		                <table class="table ps-tablet ps-table--shopping-cart">
		                    <thead>
		                        <tr>
		                            <th></th>
		                            <th></th>
		                            <th>{{'Prodotto'|_}}</th>
		                            <th>{{'Prezzo'|_}}</th>
		                            {#<th>{{'Data inserimento'|_}}</th>
		                            <th>{{'Disponiblità'|_}}</th>#}
		                            <th></th>
		                        </tr>
		                    </thead>
		                    <tbody>
		                    	{% for obProduct in wishlist %}
			                        <tr>
			                            <td><a class="ps-btn--close ps-btn--no-boder" href="javascript:removeFromWishlist({{ obProduct.id }});"></a></td>
			                            <td><a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProduct.slug}}"><img src="{{ obProduct.preview_image.getThumb(100, 100, {quality: 80}) }}" alt=""></a></td>
			                            <td><a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProduct.slug}}">{{obProduct.name}}</a></td>
			                            {# i seguenti parametri non sono presenti nell'a collection che la funziona apposita wishlist ritorna - vedere in wishlisthelper #}
			                            <td>{{obProduct.offer.first().currency}} {{obProduct.offer.first().price}}</td>
			                            {#<td></td>
			                            <td></td>#}
			                            <td><a class="ps-btn ps-btn--outline ps-btn--black wishlist" href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProduct.slug}}"> {{'Visualizza prodotto'|_}}</a></td>
			                            
			                        </tr>
			                        
		                        {% endfor %}
		                    </tbody>
		                </table>
		            </div>
		            
	            {% else %}
		            <div class="table-responsive">
						<div>{{'You have no product in wishlist!'|_}}</div>
					</div>
				{% endif %}
	        </div>
	    </div>
	</div>
{% else %}
    <div class="container">
		<div class="row">
		    <div class="col-md-6 col-sd-12">
		        <h2 id="titolologin">{{'Benvenuto'|_}}</h2>
		        <form href="/wishlist">
			        <div class="benvenutologin">
			            <p class="form-row form-row-first">
			                <input type="email" class="input-text" name="email" id="field-email-log" placeholder="{{'Indirizzo email'|_}}*">
			                {% if arError.message is not empty and arError.field == 'email' %}
						        <p>{{ arError.message }}</p>
						    {% endif %}
			            </p>
			            <p class="form-row form-row-first">
			                <input type="password" class="input-text" name="password" id="field-password-log"  placeholder="Password*">
			            </p>
			            <a id="a-enter" class="ps-btn benvenuto" href="javascript:login()">{{'Accedi'|_}}</a>
			            {% put scripts %}
			            	<script>
			            		var input = document.getElementById("field-password-log");
								input.addEventListener("keyup", function(event) {
									if (event.keyCode === 13) {
										event.preventDefault();
							   			document.getElementById("a-enter").click();
								  	}
								});
			            	</script>
			            {% endput %}
			            {#
			            <p class="form-row form-row-first">
			                <input type="password" class="input-text" name="password" id="field-password-log"  placeholder="Password*">
			            </p>
			            <a class="ps-btn benvenuto" href="javascript:login()">Log in</a>
			            <label>
			            	<input name="remember_me" type="checkbox" id="field-remember_me" > <span id="ricordami">{{'Ricordami'|_}}</span>
			            </label>
			            #}
			            <p><a href="/lose-password">{{'Hai dimenticato la password'|_}}?</a></p>
			        </div>
		        </form>
				{% if arError.message is not empty %}
				    <p>{{ arError.message }}</p>
				{% endif %}
		    </div>
		    <div class="col-md-6 col-sd-12">
		        <h2 id="titolologin">{{'Registrazione'|_}}</h2>
		        <form href="/wishlist">
			        <div class="registrazione">
						<p class="form-row form-row-first">
							<input type="text" class="input-text" name="name" id="field-name" value="{{ arForm.name }}" placeholder="{{'Nome'|_}}*">
						</p>
						<p class="form-row form-row-first">
							<input type="text" class="input-text" name="last_name" id="field-last_name" value="{{ arForm.last_name }}" placeholder="{{'Cognome'|_}}*">
						</p>
			            <p class="form-row form-row-first">
			                <input type="email" class="input-text" name="email" id="field-email" value="{{ arForm.email }}" placeholder="{{'Indirizzo email'|_}}*">
			                {% if arError.message is not empty and arError.field == 'email' %}
						        <p>{{ arError.message }}</p>
						    {% endif %}
			            </p>
			            <p class="form-row form-row-first">
			                <input type="password" class="input-text" name="password" id="field-password" placeholder="Password*">
			            </p>
			            <p class="form-row form-row-first">
			                <input type="password" class="input-text" name="password-confirmation" id="field-password-confirmation" placeholder="{{'Ripeti'|_}} Password*">
			            </p>
			            <a class="ps-btn benvenuto" href="javascript:registration()">{{'Registrati'|_}}</a>
			            <p>{{"Prendi visione dell'informativa clienti e acconsenti ai servizi di marketing e iniziative commerciali"|_}}</p>
			        </div>
		        </form>
		        
		        {% if arError.message is not empty %}
				    <p>{{ arError.message }}</p>
				{% endif %}
		    </div>
		</div>
	</div>
{% endif %}